Skip to main content
POST
/
folder
/
create
Python
from superu import SuperU

client = SuperU("YOUR_SUPERU_API_KEY")

payload = {
    "folder_name": "Outbound Agents",
    "description": "Sales and support"
}

response = client.folders.create(**payload)
print(response)
{
  "success": true,
  "folder": {
    "folder_id": "25388237-72ba-46a9-b8b5-f0341939775c",
    "user_id": "user_32UrXxvrVxWSYp1dGLsPdElDtRu",
    "name": "Outbound Agents",
    "description": "Sales and support",
    "agent_ids": [],
    "created_at": {
      "$date": "2026-05-05T08:03:05.855Z"
    },
    "updated_at": {
      "$date": "2026-05-05T08:03:05.855Z"
    },
    "_id": "69f9a4393fd42c4dfc2aaaa9"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.superu.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

superU-Api-Key
string
header
required

Your SuperU API key.

Body

application/json

Request body for Create folder.

Folder Create Request schema.

folder_name
string
required

Folder name

Example:

"Outbound Agents"

description
string

Folder description

Example:

"Sales and support"

Response

Folder created

Generic Response schema.

status
string

Status value.

Example:

"success"

message
string

Message value.

Example:

"Request completed successfully"

data
object

Data value.